# AbuSentry

AbuSentry is a collection of scripts that can be used by security professionals or analysts to perform various security related tasks. Tasks that are performed by the scripts include, but are not limited to, vetting the status of a URL, extracting text from a URL, performing a urlscan analysis, and performing a virustotal analysis, and more.

**Table of Contents**:
- [AbuSentry](#abusentry)
  - [Features](#features)
  - [Setup](#setup)
    - [Installation](#installation)
  - [Updating](#updating)
    - [Uninstallation](#uninstallation)
  - [Changelog](#changelog)
  - [Contributing](#contributing)
    - [Code Contributions](#code-contributions)
    - [Feature Requests](#feature-requests)
    - [Bug Requests](#bug-requests)
  - [Contributors](#contributors)

## Features

A list of scripts and what they do...
- **whobe**: Get whois info for domains and IP addresses
- **veripper**: A tool for looking up an IP addresses information, reputation, and if it's a tor node
- **spotter**: Check URL aliveness, non-visual (follows html meta/javascript redirects)
- **sniper**: Vet the content either visually or textually (use with caution)
- **urlscan**: Perform a urlscan analysis on a given URL(s)
- **virustotal**: Perform a virustotal analysis on a given URL(s)
- **texter**: Extracts text from multiple types of formats (html, json, xml, etc)
- **mailer**: A tool for performing multiple email related functions like header parse, origin verifier, body cleaning, text extract, ect.
- **unshorten**: Extracts the redirect URL behind a shortened URL 
- **malvera**: a tool for performing isolated of malware analysis given a file/URL, malvera being a combination of "malware" and "vera", meaning truth or authenticity in Latin.

## Setup

### Installation

1. Open a new terminal
2. Type or paste the following command to your terminal...
```bash
sh -c "$(curl -fsSL https://raw.githubusercontent.com/xransum/abusentry/master/install.sh)"
```
3. Read through the prompts, if necessary.
4. Now that's it, you should be good to go.
5. Happy hacking!

## Updating

1. Open a new terminal
2. Type or paste the following command to your terminal...
```bash
WORK IN PROGRESS
```

### Uninstallation

Firstly, if the reason you want to uninstall abusentry is due to issue with the tools, please don't hesitate to rause an [issue](https://github.com/xransum/abusentry/issues/new) for why so we can fix the issue.

1. Open a new terminal
2. Type or paste the following command to your terminal...
```bash
WORK IN PROGRESS
```
3. Alternatively, you can use the following to command:
```bash
WORK IN PROGRESS
```
4. Acknowledge the prompts accordingly, if applicable.
5. That's it. Sad to see you go... :,(

## Changelog

- *Version 1.0*: Full release coming soon.

## Contributing

### Code Contributions

- Want to work on a Feature Request? Leave a comment on the issue and I will assign you to it.
- **Features**, **Tasks**, **Bugs**, & **Hotfixes** are all under the **Projects Tab** that are waiting to be **started** / **completed**.
- All modifications, improvements, or additions require that they be done through a **Pull Request**. Once Reviewed and Merged, the Contributors will be added to the [README](https://github.com/xransum/abusentry/README.md#contributors).

### Feature Requests

- Leave a comment on the issue and I will assign you to it.
- **New feature requests** should start by [opening an new issue](https://github.com/xransum/abusentry/issues/new).
- Use a template appropriate to your request, this is to help organize, track, and prevent dupes alongside other requests.
- Provide and attach any necessary info that seems relevant to the type of request being made, if applicable.
- Before making a **New Request**, please view [Projects](https://github.com/xransum/abusentry/projects) to ensure an issue is not already open for your request.

### Bug Requests

- To **Submit a Bug** you found, feel free to use the Bug Report template, under the Issues tab.
- To **Work on an Open Bug / Issue Request**, leave a comment on the Issue you want to work, and I will assign it to you.

## Contributors

- *TBD*
